from django.urls import re_path, path

from ecobox import views

urlpatterns = [
    re_path(r"^$", views.GestionCommandesView.as_view(), name="gestion_commandes"),
    re_path(r"^list_ecobox/$", views.liste_ecobox, name="liste_ecobox"),
    re_path(r"^list_ecobox/edit/$", views.edit_ecobox, name="edit_ecobox"),
    path("list_ecobox/edit/<int:id>", views.edit_ecobox, name="edit_ecobox"),
    path("list_ecobox/del/<int:id>", views.del_ecobox, name="del_ecobox"),
    re_path(r"^list_date/$", views.liste_date, name="liste_date"),
    re_path(r"^list_date/edit/$", views.edit_date, name="edit_date"),
    re_path(r"^list_date/edit/(?P<date_edit>\d+)$", views.edit_date, name="edit_date"),
    re_path(r"^list_date/del/(?P<ident>\d+)$", views.del_date, name="del_date"),
    path("list_point_retrait/", views.PointRetraitListView.as_view(), name="liste_point_retrait"),
    path("list_point_retrait/del/<int:ident>/", views.del_point_retrait, name="del_point_retrait"),
    re_path(r"^blackliste/$", views.liste_black, name="liste_black"),
    re_path(r"^blackliste/add/(?P<user>.+)$", views.add_black, name="add_black"),
    re_path(r"^blackliste/del/(?P<user>.+)$", views.sup_black, name="sup_black"),
    re_path(r"^blackliste/del_mail/(?P<mail>.+)$", views.sup_mail, name="sup_mail"),
    re_path(
        r"^list_reservation/(?P<date>\d+)/$",
        views.GestionCommandesView.as_view(),
        name="gestion_commandes",
    ),
    re_path(
        r"^valider_paiement/(?P<cmd>\d+)/$",
        views.valider_paiement,
        name="valider_paiement",
    ),
    re_path(
        r"^valider_livraison/(?P<cmd>\d+)/$",
        views.valider_livraison,
        name="valider_livraison",
    ),
    re_path(r"^valider_tout/(?P<cmd>\d+)/$", views.valider_tout, name="valider_tout"),
    re_path(
        r"^annuler_commande/(?P<com>\d+)/$",
        views.annuler_commande_admin,
        name="annuler_commande_admin",
    ),
    re_path(r"^masse/$", views.masse, name="masse"),
    path("fournisseur/", views.FournisseurListView.as_view(), name="fournisseur_list"),
    path("fournisseur/delete/<int:pk>/", views.FournisseurDelete.as_view(), name="fournisseur_delete"),
    path("fournisseur/update/<int:pk>/", views.FournisseurUpdate.as_view(), name="fournisseur_update"),
]
